# Generation of plasmids (cloning)

* All plasmids for this study were products of Gibson [Gibson et al. 2009] or Golden Gate [Engler et al. 2008] assemblies as described previously [Morales et al. 2023]. 
* The cloning fragments, which were needed for the assemblies, were generated by PCR using the Phusion polymerase (New England Biolabs). Primers and templates are listed in S2 Table. 
* The correct sizes of cloning fragments were verified by electrophoresis. 
* PCR products matching the expected sizes were excised from the gel and purified using the Monarch DNA Gel Extraction kit (New England Biolabs). The concentration of the DNA was determined using the NanoPhotometer NP80 (Implen). 
* The molar concentration of the insert(s) usually exceeded the vector backbone concentration by a factor of 3. 
* After the assembly, 1 µl of DpnI was added to each assembly mix to remove residual PCR template present in the mix. 
* Then, E. coli TOP10 cells were transformed with the assembly mix and recombinant cells selected on lysogeny broth (LB) plates containing 100 µg/ml ampicillin. 
* Recovered clones were inoculated in 5 ml LB liquid medium with ampicillin (see above) and used for plasmid purification (Monarch Plasmid Miniprep kit, New England Biolabs). 
* Plasmids were verified by control digests and sequencing (Microsynth).